using System.Text.Json.Serialization;
using Newtonsoft.Json;

namespace Managing.Infrastructure.Evm.Models.Gmx.v2;

public class GmxTicker
{
    [JsonProperty("tokenAddress", NullValueHandling = NullValueHandling.Ignore)]
    [JsonPropertyName("tokenAddress")]
    public string TokenAddress { get; set; }

    [JsonProperty("tokenSymbol", NullValueHandling = NullValueHandling.Ignore)]
    [JsonPropertyName("tokenSymbol")]
    public string TokenSymbol { get; set; }

    [JsonProperty("minPrice", NullValueHandling = NullValueHandling.Ignore)]
    [JsonPropertyName("minPrice")]
    public string MinPrice { get; set; }

    [JsonProperty("maxPrice", NullValueHandling = NullValueHandling.Ignore)]
    [JsonPropertyName("maxPrice")]
    public string MaxPrice { get; set; }

    [JsonProperty("updatedAt", NullValueHandling = NullValueHandling.Ignore)]
    [JsonPropertyName("updatedAt")]
    public object UpdatedAt { get; set; }

    [JsonProperty("timestamp", NullValueHandling = NullValueHandling.Ignore)]
    [JsonPropertyName("timestamp")]
    public int Timestamp { get; set; }
}